libepubgen::EPUBImageManager Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBImageManager Class Reference

`#include <EPUBImageManager.h>`

## Classes
struct | BinaryDataEqual
struct | BinaryDataHash

## Public Member Functions
| EPUBImageManager (EPUBManifest &manifest)
const EPUBPath & | insert (const librevenge::RVNGBinaryData &data, const librevenge::RVNGString &mimetype)
void | writeTo (EPUBPackage &package)

## Private Types
typedef boost::unordered_map< librevenge::RVNGBinaryData, EPUBPath, BinaryDataHash, BinaryDataEqual > | MapType_t

## Private Member Functions
| EPUBImageManager (const EPUBImageManager &)
EPUBImageManager & | operator= (const EPUBImageManager &)

## Private Attributes
EPUBManifest & | m_manifest
MapType_t | m_map
EPUBCounter | m_number

## Member Typedef Documentation

typedef boost::unordered_map<librevenge::RVNGBinaryData, EPUBPath, BinaryDataHash, BinaryDataEqual> libepubgen::EPUBImageManager::MapType_t
| private

## Constructor & Destructor Documentation

libepubgen::EPUBImageManager::EPUBImageManager | ( | const EPUBImageManager & |  | ) |
| private

libepubgen::EPUBImageManager::EPUBImageManager | ( | EPUBManifest & | manifest | ) |
| explicit

## Member Function Documentation

const EPUBPath & libepubgen::EPUBImageManager::insert | ( | const librevenge::RVNGBinaryData & | data,
|  | const librevenge::RVNGString & | mimetype
| ) |  |

Referenced by libepubgen::EPUBHTMLGenerator::insertBinaryObject().

EPUBImageManager& libepubgen::EPUBImageManager::operator= | ( | const EPUBImageManager & |  | ) |
| private

void libepubgen::EPUBImageManager::writeTo | ( | EPUBPackage & | package | ) |

Referenced by libepubgen::EPUBGenerator::endDocument().

## Member Data Documentation

EPUBManifest& libepubgen::EPUBImageManager::m_manifest
| private

Referenced by insert().

MapType_t libepubgen::EPUBImageManager::m_map
| private

Referenced by insert(), and writeTo().

EPUBCounter libepubgen::EPUBImageManager::m_number
| private

Referenced by insert().

The documentation for this class was generated from the following files:

- EPUBImageManager.h
- EPUBImageManager.cpp